# Gnome::Gda::ConfigError Class Reference

Inheritance diagram for Gnome::Gda::ConfigError:
[legend]
Collaboration diagram for Gnome::Gda::ConfigError:
[legend]

List of all members.

## Public Types

enum | Code { CONFIG_DSN_NOT_FOUND_ERROR, CONFIG_PERMISSION_ERROR, CONFIG_PROVIDER_NOT_FOUND_ERROR, CONFIG_PROVIDER_CREATION_ERROR }

## Public Member Functions

| ConfigError (Code error_code, const Glib::ustring& error_message)
| ConfigError (GError* gobject)
Code | code () const

## Member Enumeration Documentation

enum Gnome::Gda::ConfigError::Code

Enumerator:

  CONFIG_DSN_NOT_FOUND_ERROR |
  CONFIG_PERMISSION_ERROR |
  CONFIG_PROVIDER_NOT_FOUND_ERROR |
  CONFIG_PROVIDER_CREATION_ERROR |

## Constructor & Destructor Documentation

Gnome::Gda::ConfigError::ConfigError | ( | Code | error_code,
|  | const Glib::ustring & | error_message
| ) |  |

Gnome::Gda::ConfigError::ConfigError | ( | GError * | gobject | ) | `[explicit]`

## Member Function Documentation

Code Gnome::Gda::ConfigError::code | ( |  | ) | const

Reimplemented from Glib::Error.

The documentation for this class was generated from the following file:

- libgdamm/config.h